View Issue Details

IDProjectCategoryView StatusLast Update
0015784ScribusImport / Exportpublic2019-12-08 21:24
Reporterfenugrec Assigned Tojghali  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.5.5 
Target VersionFixed in Version1.5.6.svn 
Summary0015784: imported SVG containing text not rendered properly
DescriptionTested on a few versions including 1.5.5 build ID C--T-F-C1.17.3-64bit (Arch linux).
SVG is generated by kicad; most simple graphical elements seem to render OK but text appears mangled. Looks like start / end points of each letter are connected ?
Steps To Reproduce- Create new document
- drag+drop attached sample.svg
- resize / zoom, text looks like attached screenshot (sample.png). Should look like regular letters "SN".
TagsSVG
PatchNo

Activities

fenugrec

2019-08-22 06:45

reporter  

sample.svg (1,560 bytes)
sample.png (3,024 bytes)
sample.png (3,024 bytes)

ale

2019-08-22 06:48

manager   ~0046511

i can confirm the bug with a rather recent build... (outlining text does work... so that's not the issue...)

inkscape can (i guess) correctly render the file.

firefox shows nothing.

utnik

2019-08-22 10:56

updater   ~0046513

this is a common problem with filled open paths. i saw this with other software too (can't remember wich one…)
if you set the fill color to 'none', everything works as expected.

…an firefox shows the graphic but it's really small. (from the .xml tree: width="0.67564cm" height="0.45974cm")

ale

2019-08-22 13:26

manager   ~0046514

mmm, indeed.
i expexted the S and N to be strokes, not a bath with a very thick line.

fenugrec

2019-08-22 15:59

reporter   ~0046515

In my case, actual file had many different fills, so as a workaround I hand-modified the .svg file to replace the offending "fill:0008484" with "fill:#ffffff". Annoying, but workable...

PeterBenedek

2019-08-23 10:50

developer   ~0046523

Tested in Linux Mint 19.1; r23151

I can't reproduce anymore. Works well.

SN_svg.jpg (11,828 bytes)
SN_svg.jpg (11,828 bytes)

Issue History

Date Modified Username Field Change
2019-08-22 06:45 fenugrec New Issue
2019-08-22 06:45 fenugrec File Added: sample.svg
2019-08-22 06:45 fenugrec File Added: sample.png
2019-08-22 06:45 fenugrec Tag Attached: SVG
2019-08-22 06:48 ale Note Added: 0046511
2019-08-22 10:56 utnik Note Added: 0046513
2019-08-22 13:26 ale Note Added: 0046514
2019-08-22 15:59 fenugrec Note Added: 0046515
2019-08-23 03:40 jghali Assigned To => jghali
2019-08-23 03:40 jghali Status new => resolved
2019-08-23 03:40 jghali Resolution open => fixed
2019-08-23 03:40 jghali Fixed in Version => 1.5.6.svn
2019-08-23 10:50 PeterBenedek File Added: SN_svg.jpg
2019-08-23 10:50 PeterBenedek Note Added: 0046523
2019-12-08 21:24 cbradney Status resolved => closed